Marjorie Green Books:
-The Busy Executive's Database Guide
-You Can Combat Computer Stress!

Michael O'Leary Books:
-Cooking With Computers
-TC7777 -> Walang title?

The Busy Executive's Database Guide Authors:
-Marjorie Green
-Abraham Bennet

But Is It User Friendly? Publisher:
-Algodata Infosystems

Algodata Infosystems Books:
-The Busy Executive's Database Guide
-Cooking With Computers
-Straight Talk About Computers
-But Is It User Friendly?
-Secrets of Silicon Valley
-Net Etiquette

